#
# spec file for package chromium-plugin-widevinecdm
#
# Copyright (c) 2016 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


# To find out the real version of Widevine CDM, do something like this.
# d="$(mktemp -d)" && rpm2cpio *.rpm|cpio -idmD"$d" && grep \"version\" "$d"/opt/google/chrome/WidevineCdm/manifest.json | sed 's/[a-z":,[:space:]]*//g' && rm -r "$d"
%define _chrome_version 84.0.4147.105
Name:           chromium-plugin-widevinecdm
Version:        4.10.1679.0
Release:        pm151.1.1
Summary:        Chromium Widevine CDM plugin
License:        NonFree
URL:            https://google.com/chrome
Source:         https://dl.google.com/linux/chrome/rpm/stable/x86_64/google-chrome-stable-%{_chrome_version}-1.x86_64.rpm
BuildRequires:  cpio
BuildRequires:  rpm
Requires:       chromium-browser
# chromium-widevinecdm-plugin was last used in openSUSE Leap 42.1.
Provides:       chromium-widevinecdm-plugin = 22.%{version}
Obsoletes:      chromium-widevinecdm-plugin < 22.%{version}
ExclusiveArch:  x86_64

%description
Official Widevine CDM plugin for Google's FOSS browser Chromium.

%prep
%setup -q -c -T
rpm2cpio %{SOURCE0} | cpio -idmv

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{_libdir}/chromium/
cp -r opt/google/chrome/WidevineCdm %{buildroot}%{_libdir}/chromium/

%files
%license opt/google/chrome/WidevineCdm/LICENSE
%dir %{_libdir}/chromium
%dir %{_libdir}/chromium/WidevineCdm
%dir %{_libdir}/chromium/WidevineCdm/_platform_specific
%dir %{_libdir}/chromium/WidevineCdm/_platform_specific/linux_x64
%{_libdir}/chromium/WidevineCdm/LICENSE
%{_libdir}/chromium/WidevineCdm/_platform_specific/linux_x64/libwidevinecdm.so
%{_libdir}/chromium/WidevineCdm/manifest.json

%changelog
* Wed Aug  5 2020 enzokiel@kabelmail.de
- Update to 4.10.1679.0:
  * Release 84
* Tue Nov  5 2019 Tomáš Chvátal <scarabeus@opensuse.org>
- Update to 4.10.1582.1:
  * Release 78
* Tue Aug 27 2019 Tomáš Chvátal <scarabeus@opensuse.org>
- Update to 4.10.1440.18:
  * Update to release 76
* Wed May 23 2018 scarabeus@opensuse.org
- Update to version 1.4.9.1076:
  * Match up the current chrome release 66
* Sun Oct 29 2017 scarabeus@opensuse.org
- Update to latest version 1.4.8.1029:
  * No available changelog
- Update to latest chrome tarball
* Fri Dec  2 2016 sor.alexei@meowr.ru
- Update to version 1.4.8.903:
  * No changelog available.
- Use a versioned Google Chrome 'tarball'.
- Add a snippet on getting the real version of Widevine CDM.
* Fri Oct  7 2016 joerg.lorenzen@ki.tng.de
- Removed service file because build often fails with 'bad temdir'
  and only sometimes succeeds.
* Sat Jul 23 2016 sor.alexei@meowr.ru
- Separated from chromium-pepper-flash package.
- Rename to chromium-plugin-widevinecdm.
- Update to version 1.4.8.893:
  * No changelog available.
- Prefix version with "22." to achieve incremental update
  (previously package version was defined by PPAPI Flash version).
  Not sure if epoch would be worse or better.
- Unpack the tarball in %%prep instead of %%build.
- Don't use -post-build-checks: no need for that.
* Sun May 15 2016 avvissu@yandex.by
- Update to 21.0.0.242
* Thu Mar 24 2016 fisiu@opensuse.org
- Update to 21.0.0.197.
- Google dropped support for chrome 32bit on linux, so no more i586.
* Tue Jan 26 2016 fisiu@opensuse.org
- Don't recommned chromium any more. Fix boo#962071.
* Wed Jan  6 2016 fisiu@opensuse.org
- Update flash player to 20.0.0.228.
* Fri Oct 23 2015 rwooninck@opensuse.org
- Update of flash player to 19.0.0.226
* Sat Sep  6 2014 dmitry_r@opensuse.org
- Set chromium-browser as recommended to avoid additional
  dependencies for freshplayerplugin
* Fri Apr 25 2014 tittiatcoke@gmail.com
- Update to 13.0.0.206
* Tue Apr  8 2014 tittiatcoke@gmail.com
- Update to 13.0.0.182
* Thu Mar 20 2014 tittiatcoke@gmail.com
- Correct spec-file so that we install the libraries for the right
  architecture
- Cleanup spec-file
* Wed Mar 19 2014 mailaender@opensuse.org
- Update to 12.0.0.77.
* Sun Feb  9 2014 rwooninck@opensuse.org
- Update to 12.0.0.44.
* Fri Jan 17 2014 fisiu@opensuse.org
- Update to 12.0.0.41.
* Sun Dec 22 2013 fisiu@opensuse.org
- Update to 11.9.900.170.
* Wed Nov 13 2013 rwooninck@opensuse.org
- Update to 11.9.900.152
* Tue Oct 15 2013 fisiu@opensuse.org
- Update to 11.9.900.117.
* Mon Sep 30 2013 rwooninck@opensuse.org
- Add the official chrome PDF plugin as additional package
* Wed Aug 14 2013 guillaume@opensuse.org
- Add ExclusiveArch:  %%{ix86} x86_64 since it uses x86/x86_64 pre-built libs
* Mon Jul 29 2013 fisiu@opensuse.org
- Update to 11.8.800.96.
* Mon Jun 17 2013 fisiu@opensuse.org
- Proper source for version 11.7.700.225.
* Fri Jun 14 2013 fisiu@opensuse.org
- Update to 11.7.700.225.
* Fri May 24 2013 fisiu@opensuse.org
- Update to 11.7.700.203.
* Wed May  8 2013 fisiu@opensuse.org
- Update to 11.7.700.169.
- Add scriptlets to adjust chromium config file.
- Use stable build.
* Sat Mar  9 2013 rwooninck@opensuse.org
- Update to 11.6.602.177
* Thu Feb 28 2013 rwooninck@opensuse.org
- Initial version of the latest Pepper flash player which is
  included with the Google Chrome browser.
